Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.xmpp.packet
Enum Presence.Show

    java.lang.Object
      java.lang.Enum<Presence.Show>
          org.xmpp.packet.Presence.Show

All Implemented Interfaces:
  Serializable, Comparable<Presence.Show>

Enclosing class:
  Presence

    public static enum Presence.Show

extends Enum<Presence.Show>

Represents the presence "show" value. Note: a `null` "show" value is the default, which means "available". Valid values are:

- `Presence.Show.chat` -- the entity or resource is actively interested in chatting.
- `Presence.Show.away` -- the entity or resource is temporarily away.
- `Presence.Show.dnd` -- the entity or resource is busy (dnd = "Do Not Disturb").
- `Presence.Show.xa` -- the entity or resource is away for an extended period (xa = "eXtended Away").

Enum Constant Summary
`away` The entity or resource is temporarily away.
`chat` The entity or resource is actively interested in chatting.
`dnd` The entity or resource is busy (dnd = "Do Not Disturb").
`xa` The entity or resource is away for an extended period (xa = "eXtended Away").

Method Summary
`static Presence.Show` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Presence.Show[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### chat

    public static final Presence.Show chat

  The entity or resource is actively interested in chatting.

### away

    public static final Presence.Show away

  The entity or resource is temporarily away.

### xa

    public static final Presence.Show xa

  The entity or resource is away for an extended period (xa = "eXtended Away").

### dnd

    public static final Presence.Show dnd

  The entity or resource is busy (dnd = "Do Not Disturb").

Method Detail

### values

    public static final Presence.Show[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Presence.Show c : Presence.Show.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Presence.Show valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.